import { axios } from '@/utils/request'

// 获取配件经销商列表数据
export const merchantAccountByPage = params => {
  const url = `/merchantAccount/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}

// 新增/编辑接口
export const saveMerchantAccount = params => {
  return axios({
    url: '/merchantAccount/save',
    data: params,
    method: 'POST'
  })
}

// 详情
export const merchantAccountDetail = params => {
  const url = `/merchantAccount/queryBySnType/${params.merchantSn}/${params.merchantType}`
  return axios({
    url: url,
    data: {},
    method: 'get'
  })
}
